# PSTUNUDPSocket Class Reference

UDP socket that has been created by the STUN client. More...

`#include <pstun.h>`

Inheritance diagram for PSTUNUDPSocket:

List of all members.

## Public Member Functions

| PSTUNUDPSocket ()
virtual PBoolean | GetLocalAddress (Address &addr)
virtual PBoolean | GetLocalAddress (Address &addr, WORD &port)

## Protected Attributes

PIPSocket::Address | externalIP

## Detailed Description

UDP socket that has been created by the STUN client.

## Constructor & Destructor Documentation

PSTUNUDPSocket::PSTUNUDPSocket | ( |  | ) |

## Member Function Documentation

virtual PBoolean PSTUNUDPSocket::GetLocalAddress | ( | Address & | addr,
|  | WORD & | port |
| ) |  |  | `[virtual]`

Parameters:

  addr | Variable to receive peer hosts IP address
  port | Variable to receive peer hosts port number

virtual PBoolean PSTUNUDPSocket::GetLocalAddress | ( | Address & | addr | ) | `[virtual]`

Parameters:

  addr | Variable to receive hosts IP address

## Member Data Documentation

PIPSocket::Address PSTUNUDPSocket::externalIP `[protected]`

The documentation for this class was generated from the following file:

- pstun.h